package de.accso.flexinale.application;

import de.accso.flexinale.data.model.Vorfuehrung;
import de.accso.flexinale.data.persistence.VorfuehrungDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@SuppressWarnings("unused")
public class VorfuehrungService {

    @Autowired
    private VorfuehrungDao vorfuehrungDao;

    public List<Vorfuehrung> vorfuehrungen() {
        return vorfuehrungDao.findAll();
    }

    public Vorfuehrung vorfuehrung(final String id) {
        return vorfuehrungDao.findById(id).orElse(null);
    }
}
